posts:
  - file:   monotonic-rdfs.md
    title:  Using monotonic tabling for RDFS entailment reasoning
    date:   2020-11-24
    author: Jan Wielemaker
    tags:   [ rdfs, entailment, reasoning, tabling, monotonic ]
    summary: |
      Tabling can be used to define RDFS entailment reasoning
      really cleanly.  Monotonic tabling provides efficient updates
      if RDF triples are added.

  - file:   solutions.md
    title:  SWI-Prolog Solutions b.v.
    date:   2020-12-01
    author: Jan Wielemaker
    tags:   [ commercial, training, support, consultancy, development ]
    summary: |
      Prolog Solutions b.v. was founded September 2020 and provides professional
      services for SWI-Prolog.

  - file:    tabling-for-blackboard.md
    title:   Using tabling to reason about a changing world
    date:    2020-12-24
    author:  Jan Wielemaker
    tags:    [ dynamic, tabling, incremental, transactions ]
    summary: |
      What options are available to reason efficiently over a changing
      world?

  - file:    sshd.md
    title:   Using SSH to debug services and embedded Prolog
    date:    2021-02-02
    author:  Jan Wielemaker
    tags:    [ ssh, debugging, remote ]
    summary: |
      How to install and use the `libssh` pack to debug and maintain
      Prolog processes that are not started interactively.
